groovy.transform.stc

## Class ThirdParam.SecondGenericType

- java.lang.Object
- - groovy.transform.stc.ClosureSignatureHint
  - - groovy.transform.stc.SingleSignatureClosureHint
    - - groovy.transform.stc.PickAnyArgumentHint
      - - groovy.transform.stc.ThirdParam.SecondGenericType

- Enclosing class:
    ThirdParam

      public static class ThirdParam.SecondGenericType
      extends PickAnyArgumentHint

  A hint used to instruct the type checker to pick the second generic type of the third parameter type. For example:

  `void <T,U> doWithElements(String first, Integer second, Tuple<T,U> third, @ClosureParams(SecondParam.SecondGenericType.class) Closure c) { ... }`
  Since:
    2.3.0
  Author:
    Cédric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThirdParam.SecondGenericType()`

  - ### Method Summary

    - ### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

      `getParameterTypes`

    - ### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

      `getClosureSignatures`

    - ### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

      `findClassNode, pickGenericType, pickGenericType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThirdParam.SecondGenericType

          public ThirdParam.SecondGenericType()